import json

# EDIT
software_url = '/home/USER/slapos/software/wendelin/software.cfg'

computer_id = 'local_computer'

parameter_dict = {
  "timezone": "JST-9",
  "site-id": "erp5",
  "bt5": "erp5_full_text_myisam_catalog erp5_configurator_standard erp5_wendelin_configurator",
  "developer-list": ["zope"],
  "zope-partition-dict": {
    "admin": {
      "family": "admin",
      "thread-amount": 4,
      "port-base": 2200,
      "instance-count": 1
    },
    "activities-node": {
      "family": "activities",
      "thread-amount": 4,
      "instance-count": 1,
      "timerserver-interval": 5,
      "port-base": 2230
    },
    "distribution-node": {
      "family": "distribution",
      "thread-amount": 1,
      "instance-count": 1,
      "port-base": 2210,
      "timerserver-interval": 5
    }
  }
}

# Choose a title
title = "wendelin"

request(software_url,
  title,
  filter_kw={'computer_guid': computer_id},
  software_type='create-erp5-site',
  partition_parameter_kw={
   '_': json.dumps(parameter_dict, sort_keys=True, indent=2),
  }
).getConnectionParameterDict()
